* {
  box-sizing: border-box
}

html,
body {
  width: 100%;
  height: 100%;
  overflow: hidden;
  overscroll-behavior-x: none;
}

.window {
  overflow: hidden;
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  cursor: grab;
}

.window:active {
  cursor: grabbing;
}

.world {
  position: relative;
  width: 6861px;
  height: 2409px;
  background: url(../images/Decors.jpg) no-repeat center center / contain;
}

.item {
  position: absolute;
}

#lac-gele {
  position: absolute;
  top: 1150px;
  left: 75px;
  width: 200px;
  height: 200px;
  cursor: pointer;
}

#centerImage {
  display: block;
  margin: 0 auto;
  max-width: 35%;
  height: auto;
  margin-bottom: 40px;
}

#snowCanvas {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  pointer-events: none;
  z-index: 999;
}

#poemTitle {
  position: absolute;
  top: 25px;
  left: 50%;
  transform: translateX(-50%);
  font-size: 48px;
  color: #fff;
  text-align: center;
  z-index: 5;
  pointer-events: none;
  font-family: 'MaFontNoel', sans-serif;
}

#overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.9);
  display: none;
  justify-content: center;
  align-items: center;
  z-index: 1000;
}

#zoomedElement {
  text-align: center;
  color: #fff;
  position: relative;
}

#elementImage {
  width: 300px;
  margin-bottom: 200px;
  animation: zoomIn 0.5s ease forwards;
}

#poemContainer {
  position: relative;
  height: 200px;
  display: flex;
  justify-content: center;
  align-items: flex-end;
}

#poemContainer p {
  opacity: 0;
  font-size: 34px;
  line-height: 1.4;
  max-width: 50%;
  padding: 0 40px;
  text-align: center;
  animation: fall 4s ease forwards;
  transform: translateY(-100px);
}

@keyframes zoomIn {
  from {
    transform: scale(0.5);
    opacity: 0;
  }

  to {
    transform: scale(1);
    opacity: 1;
  }
}

@keyframes fall {
  0% {
    opacity: 0;
    transform: translateY(-100px);
  }

  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

/* ----------------------------------------- */

#sucre-dorge {
  position: absolute;
  top: 2050px;
  left: 4750px;
  width: 150px;
  height: 200px;
  cursor: pointer;
}

#overlay.theme-sucre-dorge {
  background: rgba(10, 0, 0, 0.9);
}

#overlay.theme-sucre-dorge #poemTitle {
  color: #ffffff;
  letter-spacing: 2px;
}

#overlay.theme-sucre-dorge #centerImage {
  max-width: 10%;
  filter: drop-shadow(0 0 30px rgba(255, 220, 170, 0.2));
}

#overlay.theme-sucre-dorge #poemText {
  font-size: 34px;
  max-width: 50%;
  padding: 0 40px;
}

/* ----------------------------------------- */

#luge {
  position: absolute;
  top: 1950px;
  left: 2650px;
  width: 200px;
  height: 150px;
  cursor: pointer;
}

#overlay.theme-luge {
  background: rgba(5, 10, 20, 0.92);
}

#overlay.theme-luge #poemTitle {
  color: #ffffff;
  letter-spacing: 2px;
}

#overlay.theme-luge #centerImage {
  max-width: 40%;
  filter: drop-shadow(0 0 30px rgba(255, 220, 170, 0.2));
}

#overlay.theme-luge #poemText {
  font-size: 36px;
  max-width: 55%;
  padding: 0 40px;
}

/* ----------------------------------------- */


#sapin {
  position: absolute;
  top: 1200px;
  left: 4150px;
  width: 500px;
  height: 650px;
  cursor: pointer;
}

#overlay.theme-sapin {
  background: radial-gradient(circle at center,
      rgba(20, 40, 25, 0.95),
      rgba(5, 10, 5, 0.98));
}

#overlay.theme-sapin #poemTitle {
  color: #ffffff;
  letter-spacing: 2px;
}

#overlay.theme-sapin #centerImage {
  max-width: 18%;
  filter: drop-shadow(0 0 30px rgba(255, 220, 170, 0.2));
}

#overlay.theme-sapin #poemText {
  font-size: 34px;
  max-width: 50%;
  padding: 0 40px;
}

/* ----------------------------------------- */

#eglise-messe {
  position: absolute;
  top: 950px;
  left: 2700px;
  width: 650px;
  height: 500px;
  cursor: pointer;
}

#overlay.theme-eglise {
  background: radial-gradient(circle at center,
      rgba(35, 30, 25, 0.96),
      rgba(10, 8, 6, 0.99));
}

#overlay.theme-eglise #poemTitle {
  color: #ffffff;
  letter-spacing: 2px;
}

#overlay.theme-eglise #centerImage {
  max-width: 25%;
  filter: drop-shadow(0 0 30px rgba(255, 220, 170, 0.2));
}

#overlay.theme-eglise #poemText {
  font-size: 32px;
  max-width: 52%;
  padding: 0 40px;
  line-height: 1.6;
}

/* ----------------------------------------- */

#bonhomme-de-neige {
  position: absolute;
  top: 1750px;
  left: 3755px;
  width: 80px;
  height: 200px;
  cursor: pointer;
}

#overlay.theme-bonhomme {
  background: radial-gradient(circle at center,
      rgba(200, 220, 240, 0.92),
      rgba(40, 60, 90, 0.98));
}

#overlay.theme-bonhomme #poemTitle {
  color: #ffffff;
  letter-spacing: 2px;
}

#overlay.theme-bonhomme #centerImage {
  max-width: 27%;
  filter: drop-shadow(0 0 30px rgba(255, 255, 255, 0.2));
}

#overlay.theme-bonhomme #poemText {
  font-size: 32px;
  max-width: 48%;
  line-height: 1.5;
  padding: 0 40px;
}

/* ----------------------------------------- */

#cadeaux {
  position: absolute;
  top: 1400px;
  left: 5500px;
  width: 80px;
  height: 75px;
  cursor: pointer;
}

#overlay.theme-cadeaux {
  background: radial-gradient(circle at center,
      rgba(155, 94, 41, 0.8),
      rgba(60, 10, 10, 0.98));
}

#overlay.theme-cadeaux #poemTitle {
  color: #ffffff;
  letter-spacing: 2px;
}

#overlay.theme-cadeaux #centerImage {
  max-width: 35%;
  filter: drop-shadow(0 0 25px rgba(255, 180, 120, 0.2));
}

#overlay.theme-cadeaux #poemText {
  font-size: 32px;
  max-width: 50%;
  line-height: 1.5;
  padding: 0 40px;
  color: #fff;
}


/* ----------------------------------------- */

#pere-noel {
  position: absolute;
  top: 150px;
  left: 5150px;
  width: 750px;
  height: 300px;
  cursor: pointer;
}

#overlay.theme-pere-noel {
  background: radial-gradient(circle at center,
      rgba(148, 14, 14, 0.75),
      rgba(20, 0, 0, 0.98));
}

#overlay.theme-pere-noel #poemTitle {
  color: #ffffff;
  letter-spacing: 2px;
}

#overlay.theme-pere-noel #centerImage {
  max-width: 40%;
  filter: drop-shadow(0 0 30px rgba(255, 255, 255, 0.2));
}

#overlay.theme-pere-noel #poemText {
  font-size: 34px;
  max-width: 52%;
  line-height: 1.5;
  padding: 0 40px;
  color: #fff;
}

/* ----------------------------------------- */

#rennes {
  position: absolute;
  top: 1900px;
  left: 6355px;
  width: 250px;
  height: 150px;
  cursor: pointer;
}

#overlay.theme-rennes {
  background: radial-gradient(circle at center,
      rgba(30, 60, 80, 0.95),
      rgba(5, 15, 30, 0.98));
}

#overlay.theme-rennes #poemTitle {
  color: #ffffff;
  letter-spacing: 2px;
}

#overlay.theme-rennes #centerImage {
  max-width: 28%;
  filter: drop-shadow(0 0 25px rgba(200, 230, 255, 0.2));
}

#overlay.theme-rennes #poemText {
  font-size: 34px;
  max-width: 50%;
  line-height: 1.5;
  padding: 0 40px;
  color: #ffffff;
}

/* ----------------------------------------- */

#maison-eclairee {
  position: absolute;
  top: 1150px;
  left: 1400px;
  width: 500px;
  height: 325px;
  cursor: pointer;
}

#overlay.theme-maison-eclairee {
  background: radial-gradient(circle at center,
      rgba(50, 30, 10, 0.95),
      rgba(0, 0, 0, 0.98));
}

#overlay.theme-maison-eclairee #poemTitle {
  color: #ffffff;
  letter-spacing: 2px;
}

#overlay.theme-maison-eclairee #centerImage {
  max-width: 28;
  filter: drop-shadow(0 0 30px rgba(255, 220, 150, 0.2));
}

#overlay.theme-maison-eclairee #poemText {
  font-size: 32px;
  max-width: 50%;
  line-height: 1.5;
  padding: 0 40px;
  color: #fff;
}


/* ----------------------------------------- */

#lutinluge {
  position: absolute;
  top: 1250px;
  left: 1100px;
  width: 67px;
  height: 90px;
  cursor: pointer;
  background: url(../images/lutinluge.png) no-repeat center center / contain;

}

#lutinbanc {
  position: absolute;
  top: 2150px;
  left: 6300px;
  width: 160px;
  height: 150px;
  cursor: pointer;
  background: url(../images/lutinbanc.png) no-repeat center center / contain;
}

#lutinsbonhommeneige {
  position: absolute;
  top: 1300px;
  left: 2365px;
  width: 74px;
  height: 65px;
  cursor: pointer;
  background: url(../images/lutinsbonhommeneige.png) no-repeat center center / contain;

}

#lutinpatinoire {
  position: absolute;
  top: 1585px;
  left: 2300px;
  width: 83px;
  height: 111px;
  cursor: pointer;
  background: url(../images/lutinpatinoire.png) no-repeat center center / contain;

}

#lutincadeau {
  position: absolute;
  top: 1850px;
  left: 4465px;
  width: 56px;
  height: 90px;
  cursor: pointer;
  background: url(../images/lutincadeau.png) no-repeat center center / contain;
}

#lutinsapin {
  position: absolute;
  top: 1250px;
  left: 5300px;
  width: 156px;
  height: 150px;
  cursor: pointer;
  background: url(../images/lutinsapin.png) no-repeat center center / contain;
}

#lutincreche {
  position: absolute;
  top: 2100px;
  left: 3750px;
  width: 282px;
  height: 272px;
  cursor: pointer;
  background: url(../images/lutincreche.png) no-repeat center center / contain;
}

#lutinsucredorge {
  position: absolute;
  top: 2200px;
  left: 2950px;
  width: 105px;
  height: 157px;
  cursor: pointer;
  background: url(../images/lutinsucredorge.png) no-repeat center center / contain;
}

#lutinchoral {
  position: absolute;
  top: 2100px;
  left: 250px;
  width: 225px;
  height: 186px;
  cursor: pointer;
  background: url(../images/lutinchoral.png) no-repeat center center / contain;
}

#lutinbougie {
  position: absolute;
  top: 1150px;
  left: 4810px;
  width: 27px;
  height: 51px;
  cursor: pointer;
  background: url(../images/lutinbougie.png) no-repeat center center / contain;
}

/* ----------------------------------------- */
@font-face {
  font-family: 'MaFontNoel';
  src: url('../fonts/fontNoel.otf') format('opentype');
}

#page1 {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  display: block;
}

#pageTitre {
  position: absolute;
  top: 50px;
  left: 50%;
  transform: translateX(-50%);
  font-family: 'MaFontNoel', sans-serif;
  font-size: 64px;
  color: #ffffff;
  text-align: center;
  z-index: 100;
  text-shadow: 2px 2px 8px rgba(38, 38, 40, 0.3);
  white-space: nowrap;
}

#boutonCommencer {
  position: absolute;
  bottom: 40px;
  left: 50%;
  transform: translateX(-50%);

  padding: 15px 40px;
  font-size: 1.5rem;
  font-family: "Georgia", serif;
  font-weight: bold;
  color: #3b2f2f;

  background: rgba(255, 255, 255, 0.85);
  border: 3px solid #ffffff;
  border-radius: 40px;

  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.25);
  text-align: center;
  cursor: pointer;

  backdrop-filter: blur(4px);
  transition: all 0.3s ease;

  z-index: 50;
}

#boutonCommencer:hover {
  background: rgba(255, 255, 255, 1);
  transform: translateX(-50%) scale(1.05);
  box-shadow: 0 6px 16px rgba(0, 0, 0, 0.35);
}

#boutonCommencer:active {
  transform: translateX(-50%) scale(0.95);
}


#page1 video {
  left: -100px;
  margin-top: -175px;
  position: absolute;
  width: 1920px;
  height: 1080px;
  margin: 0;
  z-index: 1;
  object-fit: cover;
}

#page2 {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  overflow: hidden;
}

#neige {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: url(../images/fondneige.jpg) no-repeat center center;
  background-size: cover;
  z-index: 1;
  opacity: 0.75;
}

#lutinGif {
  position: absolute;
  bottom: 0px;
  right: 0px;
  width: 1750px;
  height: auto;
  z-index: 13;
  pointer-events: none;
}

.snowFlake {
  position: absolute;
  width: 10px;
  height: 10px;
  background: url(../images/flocon.png) no-repeat center center;
  background-size: contain;
  pointer-events: none;
  z-index: 3;
  opacity: 0.8;
  transform: scale(1);
  transition: opacity 2s ease-out, transform 2s ease-out;
}

@keyframes fadePrint {
  0% {
    opacity: 0.5;
  }

  100% {
    opacity: 0;
    transform: scale(0.5);
  }
}

#boutonEntrer {
  position: absolute;
  bottom: 40px;
  left: 50%;
  transform: translateX(-50%);

  padding: 15px 40px;
  font-size: 1.5rem;
  font-family: "Georgia", serif;
  font-weight: bold;
  color: #3b2f2f;

  background: rgba(255, 255, 255, 0.85);
  border: 3px solid #ffffff;
  border-radius: 40px;

  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.25);
  text-align: center;
  cursor: pointer;

  backdrop-filter: blur(4px);
  transition: all 0.3s ease;

  z-index: 10;
}

#boutonEntrer:hover {
  background: rgba(255, 255, 255, 1);
  transform: translateX(-50%) scale(1.05);
  box-shadow: 0 6px 16px rgba(0, 0, 0, 0.35);
}


#boutonEntrer:active {
  transform: translateX(-50%) scale(0.95);
}

#lutinBubble {
  position: absolute;
  bottom: 300px;
  right: 575px;
  width: 650px;
  padding: 20px;
  background: #ffffffcc;
  border-radius: 16px;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.25);
  font-family: "Georgia", serif;
  font-size: 1.5rem;
  line-height: 1.4;
  color: #3b2f2f;
  z-index: 11;
}


#lutinBubble::after {
  content: "";
  position: absolute;
  top: 50%;
  right: -20px;
  transform: translateY(-50%);
  border-width: 10px 0 10px 20px;
  border-style: solid;
  border-color: transparent transparent transparent #ffffffcc;
}

#neigespriteloading {
  position: fixed;
  top: 0;
  left: 0;

  width: 100vw;
  height: 100vh;

  background-image: url(../images/urban-sprite-2.png);
  background-repeat: no-repeat;
  background-size: 3000% 100%;
  background-position: 0 0;

  z-index: 9999;
  pointer-events: none;

  animation: animation-chargement-neige 3s steps(30) forwards;
}

@keyframes animation-chargement-neige {
  from {
    background-position: 0 0;
  }

  to {
    background-position: 100% 0;
  }
}


#transition-neige {
  position: fixed;
  inset: 0;
  pointer-events: none;
  z-index: 99999;
  display: none;
  overflow: hidden;
  background: transparent;
}


.neige-dot {
  position: absolute;
  width: 10px;
  height: 10px;
  background: white;
  border-radius: 50%;
  opacity: 0;
  animation: neige-transition 1.6s ease-out forwards;
}


.neige-flocon {
  position: absolute;
  width: 5px;
  height: 5px;
  background: url(../images/flocon.png) no-repeat center center;
  background-size: contain;
  opacity: 0;
  animation: neige-transition 1.6s ease-out forwards;
}

@keyframes neige-transition {
  0% {
    transform: scale(0);
    opacity: 0;
  }

  30% {
    opacity: 1;
  }

  100% {
    transform: scale(15);
    opacity: 1;
  }
}

#transition-neige::after {
  content: "";
  position: absolute;
  inset: 0;
  background: white;
  opacity: 0;
  animation: voile-blanc 1.6s ease-out forwards;
  animation-delay: 0.8s;
}

@keyframes voile-blanc {
  to {
    opacity: 1;
  }
}

@font-face {
  font-family: 'MaFontNoel';
  src: url('../fonts/fontNoel.otf') format('opentype');
}

#titrePage1 {
  font-family: 'MaFontNoel';
  text-align: center;
  font-size: 3rem;
  color: white;
  margin-top: 38px;
}

#sousTitrePage1 {
  font-family: 'Cochin', sans-serif;
  text-align: center;
  font-size: 1rem;
  font-weight: 400;
  color: white;
  margin-top: 2px;
}

#PageLutinLuge {
  position: absolute;
  left: 1200px;
  top: 0;
  bottom: 0;
  right: 0;
  background: rgba(117, 136, 156, 0.9);
  display: none;
  z-index: 9;
}

#CroixFermer1 {
  position: absolute;
  top: 0;
  right: 0;
  margin-right: 16px;
  margin-top: 16px;
  width: 30px;
  height: 30px;
  cursor: pointer;
  z-index: 20;
}

#lutinImage {
  position: absolute;
  top: 40%;
  left: 50%;
  transform: translate(-50%, -60%);
  max-width: 80%;
  max-height: 40%;
  opacity: 1;
  z-index: 10;
}


#lutinLugeBubble {
  position: absolute;
  top: 60%;
  left: 50%;
  transform: translateX(-50%);
  width: 400px;
  padding: 20px;
  background: #ffffffcc;
  border-radius: 15px;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.25);
  font-family: "Georgia", serif;
  font-size: 1rem;
  line-height: 1.4;
  color: #3b2f2f;
  z-index: 11;
  text-align: left;
}


#lutinLugeBubble::after {
  content: "";
  position: absolute;
  top: -20px;
  left: 50%;
  transform: translateX(-50%);
  border-width: 10px;
  border-style: solid;
  border-color: transparent transparent #ffffffcc transparent;
}

#titrePage2 {
  font-family: 'MaFontNoel';
  text-align: center;
  font-size: 3rem;
  color: white;
  margin-top: 38px;
}

#sousTitrePage2 {
  font-family: 'Cochin', sans-serif;
  text-align: center;
  font-size: 1rem;
  font-weight: 400;
  color: white;
  margin-top: 2px;
}

#PageLutinBanc {
  position: absolute;
  left: 1200px;
  top: 0;
  bottom: 0;
  right: 0;
  background: rgba(117, 136, 156, 0.9);
  display: none;
  z-index: 9;
}

#CroixFermer2 {
  position: absolute;
  top: 0;
  right: 0;
  margin-right: 16px;
  margin-top: 16px;
  width: 30px;
  height: 30px;
  cursor: pointer;
  z-index: 20;
}

#lutinBancImage {
  position: absolute;
  top: 45%;
  left: 50%;
  transform: translate(-50%, -60%);
  max-width: 80%;
  max-height: 40%;
  opacity: 1;
  z-index: 10;
}


#lutinBancBubble {
  position: absolute;
  top: 68%;
  left: 50%;
  transform: translateX(-50%);
  width: 400px;
  padding: 20px;
  background: #ffffffcc;
  border-radius: 15px;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.25);
  font-family: "Georgia", serif;
  font-size: 1rem;
  line-height: 1.4;
  color: #3b2f2f;
  z-index: 11;
  text-align: left;
}


#lutinBancBubble::after {
  content: "";
  position: absolute;
  top: -20px;
  left: 50%;
  transform: translateX(-50%);
  border-width: 10px;
  border-style: solid;
  border-color: transparent transparent #ffffffcc transparent;
}


#titrePage3 {
  font-family: 'MaFontNoel';
  text-align: center;
  font-size: 3rem;
  color: white;
  margin-top: 40px;
}

#sousTitrePage3 {
  font-family: 'Cochin', sans-serif;
  text-align: center;
  font-size: 1rem;
  font-weight: 400;
  color: white;
  margin-top: 2px;
}

#PageLutinsbonhommeneige {
  position: absolute;
  left: 1200px;
  top: 0;
  bottom: 0;
  right: 0;
  background: rgba(117, 136, 156, 0.9);
  display: none;
  z-index: 9;
}

#CroixFermer3 {
  position: absolute;
  top: 0;
  right: 0;
  margin-right: 16px;
  margin-top: 16px;
  width: 30px;
  height: 30px;
  cursor: pointer;
  z-index: 20;
}

#lutinsBonhommeneigeImage {
  position: absolute;
  top: 45%;
  left: 50%;
  transform: translate(-50%, -60%);
  max-width: 60%;
  max-height: 30%;
  opacity: 1;
  z-index: 10;
}


#lutinsbonhommeneigeBubble {
  position: absolute;
  top: 68%;
  left: 50%;
  transform: translateX(-50%);
  width: 400px;
  padding: 20px;
  background: #ffffffcc;
  border-radius: 15px;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.25);
  font-family: "Georgia", serif;
  font-size: 1rem;
  line-height: 1.4;
  color: #3b2f2f;
  z-index: 11;
  text-align: left;
}


#lutinsbonhommeneigeBubble::after {
  content: "";
  position: absolute;
  top: -20px;
  left: 50%;
  transform: translateX(-50%);
  border-width: 10px;
  border-style: solid;
  border-color: transparent transparent #ffffffcc transparent;
}

#titrePage4 {
  font-family: 'MaFontNoel';
  text-align: center;
  font-size: 3rem;
  color: white;
  margin-top: 40px;
}

#sousTitrePage4 {
  font-family: 'Cochin', sans-serif;
  text-align: center;
  font-size: 1rem;
  font-weight: 400;
  color: white;
  margin-top: 2px;
}

#PageLutinpatinoire {
  position: absolute;
  left: 1200px;
  top: 0;
  bottom: 0;
  right: 0;
  background: rgba(117, 136, 156, 0.9);
  display: none;
  z-index: 9;
}

#CroixFermer4 {
  position: absolute;
  top: 0;
  right: 0;
  margin-right: 16px;
  margin-top: 16px;
  width: 30px;
  height: 30px;
  cursor: pointer;
  z-index: 20;
}

#lutinpatinoireImage {
  position: absolute;
  top: 45%;
  left: 50%;
  transform: translate(-50%, -60%);
  max-width: 60%;
  max-height: 30%;
  opacity: 1;
  z-index: 10;
}


#lutinpatinoireBubble {
  position: absolute;
  top: 68%;
  left: 50%;
  transform: translateX(-50%);
  width: 400px;
  padding: 20px;
  background: #ffffffcc;
  border-radius: 15px;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.25);
  font-family: "Georgia", serif;
  font-size: 1rem;
  line-height: 1.4;
  color: #3b2f2f;
  z-index: 11;
  text-align: left;
}


#lutinpatinoireBubble::after {
  content: "";
  position: absolute;
  top: -20px;
  left: 50%;
  transform: translateX(-50%);
  border-width: 10px;
  border-style: solid;
  border-color: transparent transparent #ffffffcc transparent;
}

#titrePage5 {
  font-family: 'MaFontNoel';
  text-align: center;
  font-size: 3rem;
  color: white;
  margin-top: 40px;
}

#sousTitrePage5 {
  font-family: 'Cochin', sans-serif;
  text-align: center;
  font-size: 1rem;
  font-weight: 400;
  color: white;
  margin-top: 2px;
}

#PageLutincadeau {
  position: absolute;
  left: 1200px;
  top: 0;
  bottom: 0;
  right: 0;
  background: rgba(117, 136, 156, 0.9);
  display: none;
  z-index: 9;
}

#CroixFermer5 {
  position: absolute;
  top: 0;
  right: 0;
  margin-right: 16px;
  margin-top: 16px;
  width: 30px;
  height: 30px;
  cursor: pointer;
  z-index: 20;
}

#lutincadeauImage {
  position: absolute;
  top: 45%;
  left: 50%;
  transform: translate(-50%, -60%);
  max-width: 60%;
  max-height: 30%;
  opacity: 1;
  z-index: 10;
}

#lutincadeauBubble {
  position: absolute;
  top: 68%;
  left: 50%;
  transform: translateX(-50%);
  width: 400px;
  padding: 20px;
  background: #ffffffcc;
  border-radius: 15px;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.25);
  font-family: "Georgia", serif;
  font-size: 1rem;
  line-height: 1.4;
  color: #3b2f2f;
  z-index: 11;
  text-align: left;
}


#lutincadeauBubble::after {
  content: "";
  position: absolute;
  top: -20px;
  left: 50%;
  transform: translateX(-50%);
  border-width: 10px;
  border-style: solid;
  border-color: transparent transparent #ffffffcc transparent;
}

#titrePage6 {
  font-family: 'MaFontNoel';
  text-align: center;
  font-size: 3rem;
  color: white;
  margin-top: 40px;
}

#sousTitrePage6 {
  font-family: 'Cochin', sans-serif;
  text-align: center;
  font-size: 1rem;
  font-weight: 400;
  color: white;
  margin-top: 2px;
}

#PageLutinsapin {
  position: absolute;
  left: 1200px;
  top: 0;
  bottom: 0;
  right: 0;
  background: rgba(117, 136, 156, 0.9);
  display: none;
  z-index: 9;
}

#CroixFermer6 {
  position: absolute;
  top: 0;
  right: 0;
  margin-right: 16px;
  margin-top: 16px;
  width: 30px;
  height: 30px;
  cursor: pointer;
  z-index: 20;
}

#lutinsapinImage {
  position: absolute;
  top: 45%;
  left: 50%;
  transform: translate(-50%, -60%);
  max-width: 60%;
  max-height: 30%;
  opacity: 1;
  z-index: 10;
}

#lutinsapinBubble {
  position: absolute;
  top: 68%;
  left: 50%;
  transform: translateX(-50%);
  width: 400px;
  padding: 20px;
  background: #ffffffcc;
  border-radius: 15px;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.25);
  font-family: "Georgia", serif;
  font-size: 1rem;
  line-height: 1.4;
  color: #3b2f2f;
  z-index: 11;
  text-align: left;
}

#lutinsapinBubble::after {
  content: "";
  position: absolute;
  top: -20px;
  left: 50%;
  transform: translateX(-50%);
  border-width: 10px;
  border-style: solid;
  border-color: transparent transparent #ffffffcc transparent;
}

#titrePage7 {
  font-family: 'MaFontNoel';
  text-align: center;
  font-size: 3rem;
  color: white;
  margin-top: 40px;
}

#sousTitrePage7 {
  font-family: 'Cochin', sans-serif;
  text-align: center;
  font-size: 1rem;
  font-weight: 400;
  color: white;
  margin-top: 2px;
}

#PageLutincreche {
  position: absolute;
  left: 1200px;
  top: 0;
  bottom: 0;
  right: 0;
  background: rgba(117, 136, 156, 0.9);
  display: none;
  z-index: 9;
}

#CroixFermer7 {
  position: absolute;
  top: 0;
  right: 0;
  margin-right: 16px;
  margin-top: 16px;
  width: 30px;
  height: 30px;
  cursor: pointer;
  z-index: 20;
}

#lutincrecheImage {
  position: absolute;
  top: 45%;
  left: 50%;
  transform: translate(-50%, -60%);
  max-width: 60%;
  max-height: 30%;
  opacity: 1;
  z-index: 10;
}

#lutincrecheBubble {
  position: absolute;
  top: 65%;
  left: 50%;
  transform: translateX(-50%);
  width: 400px;
  padding: 20px;
  background: #ffffffcc;
  border-radius: 15px;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.25);
  font-family: "Georgia", serif;
  font-size: 1rem;
  line-height: 1.4;
  color: #3b2f2f;
  z-index: 11;
  text-align: left;
}

#lutincrecheBubble::after {
  content: "";
  position: absolute;
  top: -20px;
  left: 50%;
  transform: translateX(-50%);
  border-width: 10px;
  border-style: solid;
  border-color: transparent transparent #ffffffcc transparent;
}

#titrePage8 {
  font-family: 'MaFontNoel';
  text-align: center;
  font-size: 3rem;
  color: white;
  margin-top: 40px;
}

#sousTitrePage8 {
  font-family: 'Cochin', sans-serif;
  text-align: center;
  font-size: 1rem;
  font-weight: 400;
  color: white;
  margin-top: 2px;
}

#PageLutinsucredorge {
  position: absolute;
  left: 1200px;
  top: 0;
  bottom: 0;
  right: 0;
  background: rgba(117, 136, 156, 0.9);
  display: none;
  z-index: 9;
}

#CroixFermer8 {
  position: absolute;
  top: 0;
  right: 0;
  margin-right: 16px;
  margin-top: 16px;
  width: 30px;
  height: 30px;
  cursor: pointer;
  z-index: 20;
}

#lutinsucredorgeImage {
  position: absolute;
  top: 45%;
  left: 50%;
  transform: translate(-50%, -60%);
  max-width: 60%;
  max-height: 30%;
  opacity: 1;
  z-index: 10;
}

#lutinsucredorgeBubble {
  position: absolute;
  top: 68%;
  left: 50%;
  transform: translateX(-50%);
  width: 400px;
  padding: 20px;
  background: #ffffffcc;
  border-radius: 15px;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.25);
  font-family: "Georgia", serif;
  font-size: 1rem;
  line-height: 1.4;
  color: #3b2f2f;
  z-index: 11;
  text-align: left;
}

#lutinsucredorgeBubble::after {
  content: "";
  position: absolute;
  top: -20px;
  left: 50%;
  transform: translateX(-50%);
  border-width: 10px;
  border-style: solid;
  border-color: transparent transparent #ffffffcc transparent;
}

#titrePage9 {
  font-family: 'MaFontNoel';
  text-align: center;
  font-size: 3rem;
  color: white;
  margin-top: 40px;
}

#sousTitrePage9 {
  font-family: 'Cochin', sans-serif;
  text-align: center;
  font-size: 1rem;
  font-weight: 400;
  color: white;
  margin-top: 2px;
}

#PageLutinchoral {
  position: absolute;
  left: 1200px;
  top: 0;
  bottom: 0;
  right: 0;
  background: rgba(117, 136, 156, 0.9);
  display: none;
  z-index: 9;
}

#CroixFermer9 {
  position: absolute;
  top: 0;
  right: 0;
  margin-right: 16px;
  margin-top: 16px;
  width: 30px;
  height: 30px;
  cursor: pointer;
  z-index: 20;
}

#lutinchoralImage {
  position: absolute;
  top: 45%;
  left: 50%;
  transform: translate(-50%, -60%);
  max-width: 60%;
  max-height: 30%;
  opacity: 1;
  z-index: 10;
}

#lutinchoralBubble {
  position: absolute;
  top: 68%;
  left: 50%;
  transform: translateX(-50%);
  width: 400px;
  padding: 20px;
  background: #ffffffcc;
  border-radius: 15px;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.25);
  font-family: "Georgia", serif;
  font-size: 1rem;
  line-height: 1.4;
  color: #3b2f2f;
  z-index: 11;
  text-align: left;
}

#lutinchoralBubble::after {
  content: "";
  position: absolute;
  top: -20px;
  left: 50%;
  transform: translateX(-50%);
  border-width: 10px;
  border-style: solid;
  border-color: transparent transparent #ffffffcc transparent;
}

#titrePage10 {
  font-family: 'MaFontNoel';
  text-align: center;
  font-size: 3rem;
  color: white;
  margin-top: 40px;
}

#sousTitrePage10 {
  font-family: 'Cochin', sans-serif;
  text-align: center;
  font-size: 1rem;
  font-weight: 400;
  color: white;
  margin-top: 2px;
}

#PageLutinbougie {
  position: absolute;
  left: 1200px;
  top: 0;
  bottom: 0;
  right: 0;
  background: rgba(117, 136, 156, 0.9);
  display: none;
  z-index: 9;
}

#CroixFermer10 {
  position: absolute;
  top: 0;
  right: 0;
  margin-right: 16px;
  margin-top: 16px;
  width: 30px;
  height: 30px;
  cursor: pointer;
  z-index: 20;
}

#lutinbougieImage {
  position: absolute;
  top: 45%;
  left: 50%;
  transform: translate(-50%, -60%);
  max-width: 60%;
  max-height: 30%;
  opacity: 1;
  z-index: 10;
}

#lutinbougieBubble {
  position: absolute;
  top: 68%;
  left: 50%;
  transform: translateX(-50%);
  width: 400px;
  padding: 20px;
  background: #ffffffcc;
  border-radius: 15px;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.25);
  font-family: "Georgia", serif;
  font-size: 1rem;
  line-height: 1.4;
  color: #3b2f2f;
  z-index: 11;
  text-align: left;
}

#lutinbougieBubble::after {
  content: "";
  position: absolute;
  top: -20px;
  left: 50%;
  transform: translateX(-50%);
  border-width: 10px;
  border-style: solid;
  border-color: transparent transparent #ffffffcc transparent;
}

#inventory {
  display: none;
  position: fixed;
  top: 20px;
  left: 20px;
  z-index: 1000;
  text-align: center;
}

#score-container {
  position: relative;
  display: inline-block;
}

#lutin-pancarte {
  width: 150px;
}

#inventory-text {
  position: absolute;
  top: 75%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-weight: bold;
  color: black;
  font-size: 32px;
  font-family: 'Georgia', sans-serif;
}

.item.collected {
  opacity: 0.4;
  pointer-events: none;
}

#boutonTermine {
  position: fixed;
  bottom: 20px;
  right: 20px;
  background-color: #d60000;
  color: white;
  font-weight: normal;
  font-size: 24px;
  padding: 15px 30px;
  border-radius: 15px;
  box-shadow: 0 0 15px #ff0000, 0 0 40px #ff6666, 0 0 60px #ff9999;
  cursor: pointer;
  display: none;
  text-align: center;
  z-index: 9999;
  transition: transform 0.2s, box-shadow 0.3s;
  font-family: "Georgia", serif;
  font-weight: bold;
}

#boutonTermine:hover {
  transform: scale(1.1);
  box-shadow: 0 0 20px #ff0000, 0 0 50px #ff6666, 0 0 70px #ff9999;
}

#page3 {
  position: fixed;      
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: url(../images/fondneigeblender.png) no-repeat center center / contain;
  background-size: cover;
  display: none;
  z-index: 99999;  
  align-items: center;   
  opacity: 0;
  transform: scale(1.05);
  transition: opacity 2s ease, transform 2s ease; 
  padding: 0;
  margin: 0;
}

#page3.is-visible {
  opacity: 1;
  transform: scale(1);
}

#titrePageFinale {
  font-family: 'MaFontNoel';
  text-align: center;       
  font-size: 120px;       
  margin-top: 120px;
  margin-left: 24px;
  margin-right: 24px;
  color: #ffffff;
  text-shadow: 2px 2px 8px rgba(38, 38, 40, 0.3);
  white-space: nowrap;
}

.titre-pop {
  text-align: center;
  font-family: 'MaFontNoel';
  font-size: 120px;
  color: black;
}

.titre-pop span {
  display: inline-block;
  opacity: 0;
  animation: pop 0.4s ease-in-out forwards;
}

@keyframes pop {
  0% {
    transform: scale(0.8);
    opacity: 0;
  }
  50% {
    transform: scale(1.4);
    opacity: 1;
  }
  100% {
    transform: scale(1);
    opacity: 1;
  }
}

#sousTitreFinale {         
  font-size: 64px;       
  margin-top: 20px;
  text-align: center;
  font-family: 'Cochin', sans-serif;
  width: 100%;
  opacity: 0;
  transition: opacity 0.8s ease;
  color: #ffffff;
  text-shadow: 3px 3px 10px rgba(40, 40, 45, 0.4);
  white-space: nowrap;
}

#sousTitreFinale.is-visible {
  opacity: 1;
}

#lutinGuirlande {
  position: absolute;
  top: 20px;
  right: 0;
  width: 1500px;      
  height: auto;
  pointer-events: none;
}

#lutinApplaudissement {
  position: absolute;
  bottom: 15px;  
  left: -65px;  
  margin-left: 0;    
  width: 1000px;      
  height: auto;
  pointer-events: none;
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

#boutonRecommencer {
  position: absolute;
  bottom: 40px;
  left: 50%;
  transform: translateX(-50%);

  padding: 15px 40px;
  font-size: 1.5rem;
  font-family: "Georgia", serif;
  font-weight: bold;
  color: #3b2f2f;

  background: rgba(255, 255, 255, 0.85);
  border: 3px solid #ffffff;
  border-radius: 40px;

  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.25);
  text-align: center;
  cursor: pointer;

  backdrop-filter: blur(4px);
  transition: all 0.3s ease;

  z-index: 50;
}

#boutonRecommencer:hover {
  background: rgba(255, 255, 255, 1);
  transform: translateX(-50%) scale(1.05);
  box-shadow: 0 6px 16px rgba(0, 0, 0, 0.35);
}

#boutonRecommencer:active {
  transform: translateX(-50%) scale(0.95);
}